SIGSUM-LOG-PRIMARY(1)

NAME
sigsum-log-primary - Sigsum log primary

SYNOPSIS
sigsum-log-primary [-?] [--allow-test-domain] [--backend value] [--external-endpoint host:port] [--internal-endpoint host:port] [--interval value] [--key-file file] [--log-file file] [--log-level level] [--max-range value] [--policy-file value] [--rate-limit-file file] [--secondary-pubkey-file file] [--secondary-url url] [--sth-file file] [--timeout value] [--trillian-rpc-server host:port] [--trillian-tree-id-file file] [--url-prefix string] [--version]

DESCRIPTION

-?, --help
    Display help.

--allow-test-domain

    Allow submit tokens from test.sigsum.org.

--backend=value

    Either "trillian" (connect to an external Trillian server) or "ephemeral" (use in-memory backend, with NO persistent storage. [trillian]

--external-endpoint=host:port

    TCP listen port for serving clients. [localhost:6965]

--internal-endpoint=host:port

    Internal TCP listen port, for metrics and replication with other nodes. [localhost:6967]

--interval=value

    Interval used to rotate the log's cosigned tree head. [30s]

--key-file=file

    Key file (openssh format), either an unencrypted private key, or a public key (accessed via ssh-agent).

--log-file=file

    File to write logs to, or stderr if unset.

--log-level=level

    Log level (Available options: debug, info, warning, error). [info]

--max-range=value

    Maximum number of leaves that can be retrived in a single request. [512]

--policy-file=value

    Policy, if provided, defines the witnesses to query.

--rate-limit-file=file

    Enable rate limiting, based on given config file.

--secondary-pubkey-file=file

    Public key for secondary node.

--secondary-url=url

    Secondary node endpoint for fetching latest replicated tree head.

--sth-file=file

    File where latest published STH is being stored. [/var/lib/sigsum-log/sth]

--timeout=value

    Timeout for outgoing requests. [10s]

--trillian-rpc-server=host:port

    TCP port for Trillian backend server. [localhost:6962]

--trillian-tree-id-file=file

    Trillian backend tree identifier. [/var/lib/sigsum-log/tree-id]

--url-prefix=string

    Optional URL prefix, preceding endpoint names such as /get-tree-head.

--version
    Display server version.